/*
     $Revision$
     $Id$

     File:               fac_stdmeldingfaq.js
*/

var rowIndex = -1;
var multiFAQ = true;

function onClickItem(tr)
{
  // Wordt aangeroepen na één klik op een item
  $(tr).toggleClass("selected");
}

function onDblClickItem(tr)
{
    $(tr).closest("table").find("tr").removeClass("selected"); // Alle andere regels deselecteren
    $(tr).addClass("selected");
    window.parent.doSubmit();
}

function setMultiFAQ(aantal)
{
	multiFAQ = (aantal != 1);
}

function CreateRow(disc_key, stdm_key, vakgroep, stdmelding)
{
  rowIndex++;
  var table = $("#stdmeldingfaqtable>tbody")[0];

  // Insert data rows
  tr = table.insertRow(-1);
  tr.myData = { disc_key: disc_key
              , stdm_key: stdm_key
              };
  tr.value = rowIndex;

  // Create drop button
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.align = "center";
  cell.innerHTML = "<i class='fa fa-fw fa-trash' OnClick='delRow(this)' style='cursor:pointer'></i>";

  // innerHTML opent een htmlparser die overbodige spaties en line breaks verwijderd in IE, daarom met innerText oplossen
  // Input velden moeten wel met innerHTML of outerHTML anders wordt het text

  // Vakgroep omschrijving veld
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = vakgroep;
  cell.align = "left";
  cell.style.whiteSpace = "nowrap";

  // Stdmelding omschrijving veld
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = stdmelding;
  cell.align = "left";
  cell.style.whiteSpace = "nowrap";

  // Data velden
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = "<input type='hidden' id='disc" + rowIndex + "' name='disc" + rowIndex + "' value='" + disc_key + "'></input>"
                 + "<input type='hidden' id='stdm" + rowIndex + "' name='stdm" + rowIndex + "' value='" + stdm_key + "'></input>";
  cell.align = 'left';

  document.getElementById("nrRows").value = parseInt(rowIndex) + 1;
}

function delRow(img)
{
  // Verwijder de aangeklikte afdeling uit de lijst (de regel)
  FcltMgr.confirm(L("lcl_faq_del_stdmelding"), function() {
      var tr = $(img).closest("tr")[0];
      if (tr.myData.disc_key != null) {
          document.getElementById("stdmeldingfaqtable").deleteRow(tr.rowIndex);
      }
  });

}

function fac_submit()
{
  document.forms.u2.submit();
}

function fac_add()
{
  if ($("#disc").val() > 0)
  {
    var exist = false;

    $("#stdmeldingfaqtable tr").each(function(i, value)
                              {
                                if (this.myData
                                   && ($("#disc").val() == this.myData.disc_key)
                                   && ($("#stdm").val() == this.myData.stdm_key)
                                   )
                                {
                                  exist = true;
                                }
                              });
    if (!exist)
    {
      CreateRow( $("#disc").val()
               , $("#stdm").val()
               , $("#disc_show").val()
               , $("#stdm_show").val()
               );
      FcltMgr.resized(window);
    }
  }
}


